#ifndef _Thread_h
#define _Thread_h

BOOL
M(Mutex,Init)(pthread_mutex_t* o, int* err);
void
M(Mutex,Uninit)(pthread_mutex_t* o);

void
M(Mutex,Lock)(pthread_mutex_t* o);
void
M(Mutex,Unlock)(pthread_mutex_t* o);

#endif
